using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Utilities;

namespace JustAddCode.Features
{
    public class SetWebPropertiesReciever : Microsoft.SharePoint.SPFeatureReceiver
    {
        public override void FeatureActivated(SPFeatureReceiverProperties properties)
        {
            using(SPWeb web = (SPWeb)properties.Feature.Parent)
            {
                // Loop through all the properties and set them in the web
                foreach(SPFeatureProperty prop in properties.Definition.Properties)
                {
                    web.Properties[prop.Name] = prop.Value;
                }
                web.Properties.Update();
            }            
        }

        public override void FeatureDeactivating(SPFeatureReceiverProperties properties)
        {
            // Not used
        }

        public override void FeatureInstalled(SPFeatureReceiverProperties properties)
        {
            // Not Used
        }

        public override void FeatureUninstalling(SPFeatureReceiverProperties properties)
        {
            // Not Used
        }

    }
}
